package com.leanwo.activiti.dto.base;

/**
 * 转交任务Id.
 *
 * @author YangZhiJie
 */
public class TransferTaskDto {

	/** 任务Id. */
	private String taskId;
	
	/**  操作人. */
	private Long userId;
	
	/** 操作人名称.*/
	private String userName;
	
	/** 转交后用户id. */
	private Long transferUserId;
	
	/** 转交后用户名称. */
	private String transferUserName;

	/** 转交意见. */
	private String comment;

	/**
	 * Gets the 任务Id.
	 *
	 * @return the 任务Id
	 */
	public String getTaskId() {
		return taskId;
	}

	/**
	 * Sets the 任务Id.
	 *
	 * @param taskId the new 任务Id
	 */
	public void setTaskId(String taskId) {
		this.taskId = taskId;
	}

	/**
	 * Gets the 操作人.
	 *
	 * @return the 操作人
	 */
	public Long getUserId() {
		return userId;
	}

	/**
	 * Sets the 操作人.
	 *
	 * @param userId the new 操作人
	 */
	public void setUserId(Long userId) {
		this.userId = userId;
	}

	/**
	 * Gets the 操作人名称.
	 *
	 * @return the 操作人名称
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * Sets the 操作人名称.
	 *
	 * @param userName the new 操作人名称
	 */
	public void setUserName(String userName) {
		this.userName = userName;
	}

	/**
	 * Gets the 转交后用户id.
	 *
	 * @return the 转交后用户id
	 */
	public Long getTransferUserId() {
		return transferUserId;
	}

	/**
	 * Sets the 转交后用户id.
	 *
	 * @param transferUserId the new 转交后用户id
	 */
	public void setTransferUserId(Long transferUserId) {
		this.transferUserId = transferUserId;
	}

	/**
	 * Gets the 转交后用户名称.
	 *
	 * @return the 转交后用户名称
	 */
	public String getTransferUserName() {
		return transferUserName;
	}

	/**
	 * Sets the 转交后用户名称.
	 *
	 * @param transferUserName the new 转交后用户名称
	 */
	public void setTransferUserName(String transferUserName) {
		this.transferUserName = transferUserName;
	}

	/**
	 * Gets the 转交意见.
	 *
	 * @return the 转交意见
	 */
	public String getComment() {
		return comment;
	}

	/**
	 * Sets the 转交意见.
	 *
	 * @param comment the new 转交意见
	 */
	public void setComment(String comment) {
		this.comment = comment;
	}
}
